#ifndef IP_H
#define IP_H

/* function declarations */
void init_ip(void);
FindVarMethod var_ip;
FindVarMethod var_ipAddrTable;
FindVarMethod var_ipRouteTable;
FindVarMethod var_ipNetToMediaTable;
FindVarMethod var_ipv4InterfaceTable;
FindVarMethod var_ipv6InterfaceTable;
FindVarMethod var_ipSystemStatsTable;
FindVarMethod var_ipIfStatsTable;
FindVarMethod var_ipAddressPrefixTable;
FindVarMethod var_ipAddressTable;
FindVarMethod var_ipNetToPhysicalTable;
FindVarMethod var_ipv6ScopeZoneIndexTable;
FindVarMethod var_ipDefaultRouterTable;
FindVarMethod var_ipv6RouterAdvertTable;
    WriteMethod write_ipForwarding;
    WriteMethod write_ipDefaultTTL;
    WriteMethod write_ipv6IpForwarding;
    WriteMethod write_ipv6IpDefaultHopLimit;
    WriteMethod write_ipAddressSpinLock;
    WriteMethod write_ipv6RouterAdvertSpinLock;
    WriteMethod write_ipRouteDest;
    WriteMethod write_ipRouteIfIndex;
    WriteMethod write_ipRouteMetric1;
    WriteMethod write_ipRouteMetric2;
    WriteMethod write_ipRouteMetric3;
    WriteMethod write_ipRouteMetric4;
    WriteMethod write_ipRouteNextHop;
    WriteMethod write_ipRouteType;
    WriteMethod write_ipRouteAge;
    WriteMethod write_ipRouteMask;
    WriteMethod write_ipRouteMetric5;
    WriteMethod write_ipNetToMediaIfIndex;
    WriteMethod write_ipNetToMediaPhysAddress;
    WriteMethod write_ipNetToMediaNetAddress;
    WriteMethod write_ipNetToMediaType;
    WriteMethod write_ipv4InterfaceEnableStatus;
    WriteMethod write_ipv6InterfaceEnableStatus;
    WriteMethod write_ipv6InterfaceForwarding;
    WriteMethod write_ipAddressIfIndex;
    WriteMethod write_ipAddressType;
    WriteMethod write_ipAddressStatus;
    WriteMethod write_ipAddressRowStatus;
    WriteMethod write_ipAddressStorageType;
    WriteMethod write_ipNetToPhysicalPhysAddress;
    WriteMethod write_ipNetToPhysicalType;
    WriteMethod write_ipNetToPhysicalRowStatus;
    WriteMethod write_ipv6RouterAdvertSendAdverts;
    WriteMethod write_ipv6RouterAdvertMaxInterval;
    WriteMethod write_ipv6RouterAdvertMinInterval;
    WriteMethod write_ipv6RouterAdvertManagedFlag;
    WriteMethod write_ipv6RouterAdvertOtherConfigFlag;
    WriteMethod write_ipv6RouterAdvertLinkMTU;
    WriteMethod write_ipv6RouterAdvertReachableTime;
    WriteMethod write_ipv6RouterAdvertRetransmitTime;
    WriteMethod write_ipv6RouterAdvertCurHopLimit;
    WriteMethod write_ipv6RouterAdvertDefaultLifetime;
    WriteMethod write_ipv6RouterAdvertRowStatus;

#endif /* IP_H */
