/*
 * $Id: rmonlite_mib.h,v 1.1 2006/11/23 14:48:41 jeffc Exp $
 *
 * $Copyright: $
 *
 */

/*
 *  System MIB group interface - system.h
 */
#ifndef _MIBGROUP_RMONLITE_MIB_H
#define _MIBGROUP_RMONLITE_MIB_H

config_require(util_funcs)

void init_rmonlite_mib (void);
FindVarMethod var_rmonStatEtStatsTable;
FindVarMethod var_rmonHistCtrlTable;
FindVarMethod var_rmonHistEtStatTable;
FindVarMethod var_rmonAlarmTable;
FindVarMethod var_rmonEventTable;
FindVarMethod var_rmonEventLogTable;

WriteMethod write_rmonNormalObj;
WriteMethod write_rmonIntegerObj;
WriteMethod write_rmonStringObj;
WriteMethod write_rmonOidObj;
WriteMethod write_rmonEntryStatus;

#define	STATISTICS_GROUP    1
#define	HISTORY_GROUP       2
#define	ALRAM_GROUP         3
#define	HOST_GROUP          4
#define	HOSTTOPN_GROUP      5
#define	MATRIX_GROUP        6
#define	FILTER_GROUP        7
#define	CAPTURE_GROUP       8
#define	EVENT_GROUP         9


#define OWNER_STRING_LEN     128  /* RMON MIB defined length of owner string */
#define MAX_EVENT_STRING_LEN 128  /* RMON MIB defined length of event string */
#define MAX_LOG_STRING_LEN   256  /* RMON MIB defined length of log string */

#endif /* _MIBGROUP_RMONLITE_MIB_H */
